from pyRDDLGym.core.policy import BaseAgent


class StableBaselinesAgent(BaseAgent):
    use_tensor_obs = True
    
    def __init__(self, model, deterministic: bool=True):
        self.model = model
        self.deterministic = deterministic
        
    def sample_action(self, state):
        return self.model.predict(state, deterministic=self.deterministic)[0]
    

class RLLibAgent(BaseAgent):
    use_tensor_obs = True
    
    def __init__(self, algo):
        self.algo = algo
        
    def sample_action(self, state):
        return self.algo.compute_single_action(state)
    